Skip to main content

Create service request history

POSThttps://api.propexo.com/v1/service-request-history/

Generate service request history for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    service_request_idstring

    The Propexo unique identifier for the service request

    employee_idstring

    The Propexo unique identifier for the employee

    status_rawstring

    The raw status associated with the service request history

    Show 17 enum values
    AssessmentCallCanceledCompletedElectricalEmergencyHVACIn ProgressInspectionOn HoldOtherPlumbingRequest ReassignmentScheduledServiceWebWork Completed
    notesstring

    Notes associated with the service request history

    contact_first_namestring

    Notes associated with the service request history

    titlestring

    The title associated with the service request history

    attachment object

    Attachment file associated with the service request history

    file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.

    Possible values: <= 40443576 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-request-history/
curl -X POST https://api.propexo.com/v1/service-request-history/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}